#
# MATHEMATICS OF INFRASTRUCTURE PLANNING SS 2012
# Ralf Borndoerfer & Martin Groetschel
# 06/2012
#
# Duty Scheduling
#
#------------------------------------------------------------------------------
#
# This file specifies a set covering/partitioning model.
#
# The data are:
#
# - nnes   contains row and column indices of a 0/1-matrix. Indices start at 1.
# - cost   column costs
#
# The variables are:
#
# - x      tours: x[j] = 1 iff tour j is chosen
#
#------------------------------------------------------------------------------
#
# Call:
#
# zimpl -DFILE="<FILENAME>" dsp1-skeleton.zpl
#
#------------------------------------------------------------------------------

set A := { read FILE as "<2n,3n>" comment "#c" };
set M := proj(A,<1>);
set N := proj(A,<2>);

param m := card(M);
param n := card(N);

do print "# rows = ", m;
do print "# cols = ", n;

param c[N] := read FILE as "<3n> 2n" comment "#r";

# variables

# objective       

# constraints



